Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn._1_0.core
Class RelationshipType

    java.lang.Object
      be.fgov.ehealth.consultrn._1_0.core.RelationshipType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2021-04-20T04:31:34+02:00",
               comments="JAXB RI v2.2.11")
    public class RelationshipType

extends Object
implements Serializable

information about the relationship

Java class for RelationshipType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RelationshipType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Code" type="{urn:be:fgov:ehealth:consultRN:1_0:core}CodeType"/>
             <element name="Description" type="{urn:be:fgov:ehealth:commons:1_0:core}LocalisedString" maxOccurs="5" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`RelationshipType()`

Method Summary
`int` | `getCode()` Gets the value of the code property.
`List<LocalisedString>` | `getDescriptions()` Gets the value of the descriptions property.
`void` | `setCode(int value)` Sets the value of the code property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelationshipType

    public RelationshipType()

Method Detail

### getCode

    public int getCode()

  Gets the value of the code property.

### setCode

    public void setCode(int value)

  Sets the value of the code property.

### getDescriptions

    public List<LocalisedString> getDescriptions()

  Gets the value of the descriptions property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the descriptions property.

  For example, to add a new item, do as follows:

          getDescriptions().add(newItem);

  Objects of the following type(s) are allowed in the list `LocalisedString`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.21.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.